Bug 13552 - kernel-2.2.16-3.i686.rpm problem with internal SCSI ZIP drive
kernel-2.2.16-3.i686.rpm problem with internal SCSI ZIP drive
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-06 17:19 EDT by Péter, Soós
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-14 19:14:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Péter, Soós 2000-07-06 17:19:54 EDT
I have a problem with kernel package kernel-smp-2.2.16-3.i686.rpm
distributed as official RedHat Linux 6.2 update.
I have an internal SCSI Iomega ZIP drive attached to an Adaptec 2940UW
SCSI controller. Using the kernel above results SCSI bus hangup/reset
when you want to access the ZIP drive. The other devices on this controller
work fine.
This problem didn't appear with package kernel-smp-2.2.14-12.i686.rpm.

The mainboard is Gigabyte 6BXD bios version F2 with two 450 MHz PIII CPUs
and 256 MB RAM.

The controller:
Bus  0, device   8, function  0:
  SCSI storage controller: Adaptec AIC-7881U (rev 1).
    Medium devsel.  Fast back-to-back capable.  IRQ 16.  Master Capable. 
Latency=64.  Min Gnt=8.Max Lat=8.
  I/O at 0xd400 [0xd401].
  Non-prefetchable 32 bit memory at 0xe9001000 [0xe9001000].

Attached devices: 
Host: scsi0 Channel: 00 Id: 00 Lun: 00
  Vendor: WDIGTL   Model: WDE9100          Rev: 1.50
  Type:   Direct-Access                    ANSI SCSI revision: 02
Host: scsi0 Channel: 00 Id: 02 Lun: 00
  Vendor: IOMEGA   Model: ZIP 100          Rev: J.03
  Type:   Direct-Access                    ANSI SCSI revision: 02
Host: scsi0 Channel: 00 Id: 03 Lun: 00
  Vendor: PLEXTOR  Model: CD-ROM PX-40TS   Rev: 1.03
  Type:   CD-ROM                           ANSI SCSI revision: 02
Host: scsi0 Channel: 00 Id: 04 Lun: 00
  Vendor: PLEXTOR  Model: CD-R   PX-W8220T Rev: 1.02
  Type:   CD-ROM                           ANSI SCSI revision: 02
Host: scsi0 Channel: 00 Id: 06 Lun: 00
  Vendor: HP       Model: T4000s           Rev: 1.10
  Type:   Sequential-Access                ANSI SCSI revision: 02
Host: scsi0 Channel: 00 Id: 09 Lun: 00
  Vendor: IBM      Model: DDRS-34560D      Rev: DC1B
  Type:   Direct-Access                    ANSI SCSI revision: 02
Comment 1 mgolden 2000-07-06 22:41:09 EDT
I ran into the same problem with the 2.2.16-3smp.  If I boot to 2.2.14-5.0smp everythings fine, but the new kernel causes my SCSI hard drive to 
continually time out while trying to access it.  I have pretty much the same setup with an Adaptec 2040 card too.
Comment 2 wbosse 2000-08-01 20:58:17 EDT
I had the same problem and solved it by upgrading the kernel module aic7xxx.o to
the most
recent patch level (5.1.31, the 2.2.16-3* RPMs contain 5.1.30). For details see
http://people.redhat.com/dledford/aic7xxx.html#latest.

Note You need to log in before you can comment on or make changes to this bug.